Subject: Re: Reason for cygwin GCC 2.97 non-bootstrap found
From: "Zack Weinberg" <[email-masked]>
To: Chris Abbey <[email-masked]>
Cc: Kelley Cook <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Cygwin mailing list <[email-masked]>
Date: Wed, 22 Nov 2000 12:31:44 -0800

On Tue, Nov 21, 2000 at 08:04:19PM -0600, Chris Abbey wrote:
> At 17:16 11/21/00 -0800, Zack Weinberg wrote:
> >Uh oh, that means I don't understand what's going on.  Can you try
> >this augmented version of the test program, which probes things a bit
> >more thoroughly?  Now I want the output and the exit status.  [If you
> >know how, also try to turn on Cygwin's internal debug logging and tell
> >me what that reports.]
> >
> >zw
> 
> hth...

...
> mmap: error 0
> munmap: Invalid argument
> signal: error 0

Ah.  So we aren't actually unmapping anything when this happens.  I
could imagine the code getting confused and crashing because of that;
in any case, we're wasting tons of memory this way - it also means
that the "unmap huge chunk of memory all at once" trick won't work.

RTH is right, we shouldn't be pretending cygwin has anonymous mmap.
I'll see if I can't turn the test program into an improvement to the
autoconf test.

zw

--
Want to unsubscribe from this list?
Send a message to [email-masked]